#pragma once
#include "pch.h"
#include <vector>
#include <afxinet.h>
// SupportStaff 对话框

class SupportStaff : public CDialogEx
{
	DECLARE_DYNAMIC(SupportStaff)

public:
	SupportStaff(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~SupportStaff();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SUPPORTSTAFF };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	void LoadProvince();
	void OnTimer(UINT_PTR nIDEvent);
	void OnPaint();
	int GetSelectedFileCount(CFileDialog& fileDlg);
	//BOOL FTP_MKDIR(CString ftpip, CString username, CString passwd, CString path);
	//BOOL UploadFileToFTP(const CString& strFtpServer, const CString& strUserName,const CString& strPassword,const CString& strLocalFilePath,const CString& strRemoteFilePaht);
	afx_msg void OnSelchangeProvince();
	afx_msg void OnSelchangeCity();
	afx_msg void OnBnClickedLoadimage();
	afx_msg void OnBnClickedCreateTicket();
	//BOOL FTP_Upload(CString szHostName, CString szUserName, CString szPassword, CString szUrlPath, CString FilePath);
	afx_msg void OnBnClickedButton1();
	BOOL ConnectFtpServer(CString ServerIP, CString UserName,CString PassWord);
	//BOOL CreateDirectory();
	CComboBox ProItem;
	CString ProValue;
	CComboBox CityItem;
	CString CityValue;
	CComboBox CountyItem;
	CString CountyValue;
	CImage Image[4];
	int fileNum;
	std::vector<CString> FilePath;
	CString ErrorDescription;

	HINTERNET hConnected;
	CInternetSession* pInternetSession;
	CFtpConnection* pFtpConnection;

	CString CompanyName;
	CString ContactNumber;
	CString Linkman;
};
